import gi
gi.require_version("GdkPixbuf", "2.0")
gi.require_version("Gtk", "3.0")

from gi.repository import GdkPixbuf, Gtk


def on_activate(app):
    window = Gtk.ApplicationWindow(application=app)
    pixbuf = GdkPixbuf.Pixbuf.new_from_file_at_size(
        "icon.svg",
        50,  # px width
        50   # px height
    )
    image = Gtk.Image.new_from_pixbuf(pixbuf)

    window.set_default_size(300, 300)
    window.add(image)
    window.show_all()


# Create a new application
app = Gtk.Application(application_id="com.example.GtkApplication")
app.connect("activate", on_activate)

# Run the application
app.run(None)
